Issue 120610 - Documents created from Windows shell context menu have language set to NONE, causing spell checking to fail
Summary: Documents created from Windows shell context menu have language set to NONE, ...
Status: CONFIRMED
Alias: None
Product: General
Classification: Code
Component: ui (show other issues)
Version: 3.4.0
Hardware: PC Windows, all
: P3 Major with 3 votes (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
: 119103 123282 123726 124350 128084 (view as issue list)
Depends on:
Blocks:
 
Reported: 2012-08-18 00:58 UTC by John Paul
Modified: 2019-04-09 15:08 UTC (History)
14 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: 4.1.6
Developer Difficulty: ---


Attachments
Print Screen showing spell checker error not finding misspelled words. (135.50 KB, image/png)
2012-08-18 00:58 UTC, John Paul
no flags Details
Series of actions that could be reported as a potential failure of the spell checker (376.39 KB, application/pdf)
2012-09-24 18:02 UTC, rknowles2001
no flags Details
Screenhot (102.76 KB, application/vnd.oasis.opendocument.graphics)
2013-09-18 14:11 UTC, Rainer Bielefeld
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description John Paul 2012-08-18 00:58:04 UTC
Created attachment 78997 [details]
Print Screen showing spell checker error not finding misspelled words.

I have found that your spell checker is not working.  I re-loaded and still not working. I looked to see if this was reported, but found no reports.

I got a new computer and have used openoffice before so I am somewhat acquainted with the program. 

Can oyu please check to see if the spell checker is working or it is me?? 

(English Version) (actually any version)

It seem to run but not work correctly.
Thanks

John Paul
Comment 1 rknowles2001 2012-09-24 18:02:38 UTC
Created attachment 79632 [details]
Series of actions that could be reported as a potential failure of the spell checker
Comment 2 rknowles2001 2012-09-24 18:21:54 UTC
(In reply to comment #1)
> Created attachment 79632 [details]
> Series of actions that could be reported as a potential failure of the spell
> checker

Potentially related failure to bug 119302 at:
https://issues.apache.org/ooo/show_bug.cgi?id=119302

System: Windows 7 Home Premium, 64-bit 4.00g Ram
Open Office Suite: 3.4.1  r1372282
Language Used: English(USA)

Test 1: (Pass)
1. Open an already made .odt file
2. File->New->Text Document
3. Observe English(USA) is the selected language
4. Type in "Hewwo Worldd test"
5. Observe "Hewwo" and "Worldd" are marked as misspelled
6. When Spell Checker (F7) is run, "Hewwo" and "Worldd" come up

Test 2: (Pass)
1. Run Open Office Writer through Programs->OpenOffice.org 3.4.1->OpenOffice.org Writer
2. Observe English(USA) is the selected language
3. Type in "Hewwo Worldd test"
4. Observe "Hewwo" and "Worldd" are marked as misspelled
5. When Spell Checker (F7) is run, "Hewwo" and "Worldd" come up

Test 3: (Potential Failure)
1. Create new OO text document through Windows context menu 
(Right-Click->New->OpenDocument Test)
2. Observe English(USA) is not the selected language, language is blank
3. Type in "Hewwo Worldd test"
4. Observe "Hewwo" and "Worldd" are not marked as misspelled
5. When Spell Checker (F7) is run, no misspelled words appear

Test 3 can be made to work correctly by first changing the language of the document to English(USA).
Comment 3 Ariel Constenla-Haile 2012-09-24 19:16:38 UTC
(In reply to comment #2)
> Potentially related failure to bug 119302 at:
> https://issues.apache.org/ooo/show_bug.cgi?id=119302

This bug stays in a NEEDMOREINFO/CANNOTREPRODUCE state.

> Test 3: (Potential Failure)
> 1. Create new OO text document through Windows context menu 
> (Right-Click->New->OpenDocument Test)
> 2. Observe English(USA) is not the selected language, language is blank
> 3. Type in "Hewwo Worldd test"
> 4. Observe "Hewwo" and "Worldd" are not marked as misspelled
> 5. When Spell Checker (F7) is run, no misspelled words appear
> 
> Test 3 can be made to work correctly by first changing the language of the
> document to English(USA).

but this bug is completely reproducible. I tested on WinXP.
I'm not sure if John Paul is facing the same bug.
Comment 4 Ariel Constenla-Haile 2012-09-24 19:24:45 UTC
(In reply to comment #0)
> Created attachment 78997 [details]
> Print Screen showing spell checker error not finding misspelled words.
> 
> I have found that your spell checker is not working.  I re-loaded and still
> not working. I looked to see if this was reported, but found no reports.
> 
> I got a new computer and have used openoffice before so I am somewhat
> acquainted with the program. 
> 
> Can oyu please check to see if the spell checker is working or it is me?? 
> 
> (English Version) (actually any version)

Do you get this error by creating your documents in the way described in Comment 2 (Test 3), using the context menu on the file explorer?

If not, and you also get this error by creating the documents using the File - New menu in OpenOffice, this can be a known bug with the English dictionaries; copy and paste from Bug 119302

dictionaries are extensions, so go to the menu "Tools" - "Extension Manager..."
This will open a new window with the "Extension Manager". Select an extension from the list, and you'll see a button "Disable" and another one "Remove". Removing some extensions may require you have administrative privileges in your computer, so better try to disable the extensions by pressing the "Disable" button. Disable all English dictionary extensions, leaving only the one you can see in the screen shot: it says "English spelling and hyphenation dictionaries and thesaurus 2010.03.16" You must restart Apache OpenOffice (close also the Quickstarter icon on the system tray), and spelling should work.
Comment 5 Cem Kaner 2012-09-26 16:42:25 UTC
I replicate Knowles' report exactly.

Windows 7 AOO version AOO340m1(build 9590).

Create a new document from the windows context menu (right-click on the desktop, select New, select create a new OpenDocument Text --> OOo comes up but its spellchecker is not working. Alternatively, if I open OOo by directly opening the program or by loading an existing file, the spell-checker works fine.

This is not a difficult bug to reproduce -- as long as you open OOo from the Windows context menu rather than from a list of programs or from an existing file.

The original report did not provide replication steps and so it is impossible to perfectly "reproduce" the original report. However, the final failure reported in the replication is identical to the failure displayed in the original report. I think we should treat this as a replicated problem.
Comment 6 Ariel Constenla-Haile 2012-09-26 16:55:22 UTC
(In reply to comment #5)
> This is not a difficult bug to reproduce -- as long as you open OOo from the
> Windows context menu rather than from a list of programs or from an existing
> file.

The problem is reproducible, and the root cause is that these document are used when you create a new document from the Windows shell context menu:

https://svn-master.apache.org/repos/asf/incubator/ooo/trunk/main/extras/source/shellnew/

As you can see, the language is set to NONE

> The original report did not provide replication steps and so it is
> impossible to perfectly "reproduce" the original report. However, the final
> failure reported in the replication is identical to the failure displayed in
> the original report. I think we should treat this as a replicated problem.

I'll wait for John Paul comment on the issue, to see if his issue is the same as this one, or something different. If yes, this bug can be confirmed and the subject changed to reflect the real bug. If not, a new bug can be opened.

Added NEEDMOREINFO keyword
Comment 7 Keith N. McKenna 2012-09-26 17:58:26 UTC
I just looked at the document that Ariel gave the link to and what appears to be happening is that the document has the default language in Tools>Options>Languages Settings>Languages set to German. If I look at the default paragraph stlye font tab the dictionary is set to none. That would make sense since I have no German Dictionary on my system.
Comment 8 Ariel Constenla-Haile 2012-09-27 03:27:25 UTC
There are two workarounds to solve the issue with the Windows Shell templates:

- if you modify OpenOffice default template, the respective Windows Shell template will be modified

- you can create a new document, set the language you want, and replace the templates. They are stored in the following places:

Windows XP:

C:\Templates
C:\Document and Settings\All Users\Templates
C:\Document and Settings\your_user_name\Templates

Note: "Templates" might be localized, for example "Plantillas" in the Spanish user interface. You will need privileges to modify system wide templates


Windows 7:

C:\ProgramData\Microsoft\Windows\Templates
C:\Users\your_user_name\AppData\Roaming\Microsoft\Windows\Templates

All templates are named:

soffice.odg - Drawing document
soffice.odp - Presentation document
soffice.ods - Spreadsheet document
soffice.odt - Text document
Comment 9 Cem Kaner 2012-09-27 19:23:35 UTC
I'm confused. Are you suggesting a temporary fix until the next build or a workaround recommended for those users who run into the bug, realize to look for a workaround on your site, figure out how to search for the workaround, and then figure out how to apply it?
Comment 10 Ariel Constenla-Haile 2012-09-27 19:42:51 UTC
(In reply to comment #9)
> I'm confused. Are you suggesting a temporary fix until the next build or a
> workaround recommended for those users who run into the bug, realize to look
> for a workaround on your site, figure out how to search for the workaround,
> and then figure out how to apply it?

I'm just saying than until this gets fixed, there is a workaround that anyone interested in having the issue solved right now can apply.

To get this fixed:
- someone has to find the proper solution
- a developer has to apply it
- it has to be tested on developer snapshots
- then it be integrated in a release
(this is the lifetime of a bug, with several steps in between)

That said, I have no idea which could be the solution for this bug.
An example:

- these templates are installed by a custom action during the installation
- one may think that we should localize this templates: set the default language to the language of the installer; that way, if you install the German version, you get templates with German language set

Problem: a German user may install first the English (US) version, and then install the German language pack. With the above solution, the user will en-US templates in ShellNew menu. This isn't optimal.
Comment 11 Rob Weir 2013-03-21 20:21:06 UTC
Confirming per Ariel's comments.
Comment 12 Ariel Constenla-Haile 2013-09-18 13:35:39 UTC
*** Issue 123282 has been marked as a duplicate of this issue. ***
Comment 13 Rainer Bielefeld 2013-09-18 13:55:54 UTC
Only for the sake of completeness: all WIN affected, and not limited to Writer
Comment 14 Rainer Bielefeld 2013-09-18 14:11:25 UTC
Created attachment 81566 [details]
Screenhot

Additional info:
-----------------
This seems not to be an insuperable problem, for example SoftMaker FreeOffice selects the "Default Language" for documents newly created on Desktop or in files Explorer
Comment 15 Ariel Constenla-Haile 2013-09-24 15:07:10 UTC
*** Issue 119103 has been marked as a duplicate of this issue. ***
Comment 16 Ariel Constenla-Haile 2014-03-03 02:38:19 UTC
*** Issue 124350 has been marked as a duplicate of this issue. ***
Comment 17 Rainer Bielefeld 2014-03-03 05:51:03 UTC
*** Issue 123726 has been marked as a duplicate of this issue. ***
Comment 18 Radish 2016-10-19 16:25:04 UTC
"Documents created from Windows shell context menu have language set to NONE, causing spell checking to fail"

I ran into the same problem and via that route landed up here. I managed to work out how to do a workaround for this and have posted it here as poster "LastUnicorn": https://forum.openoffice.org/en/forum/viewtopic.php?f=15&t=85630

That said this is a devil of an issue and should really be fixed. The default install of OpenOffice should make it possible to right-click, create a new document, and have it open in Writer with the language already correctly set.

P.S. I'm a fairly new user of OpenOffice, like it a lot, good office suite.
Comment 19 Matthias Seidel 2018-11-12 16:01:43 UTC
At the moment I see no possibility to create a document depending on the language of the host system.

But we could change the template from [None] to en-US here:
https://svn.apache.org/repos/asf/openoffice/trunk/main/extras/source/shellnew/

This way at least en-US would be set as default language.
Comment 20 Dietmar Hildebrand 2019-03-19 13:35:56 UTC
With the new release this bug has resurfaced!
I installed 4.1.6 and spelling checker language is set to blank. It prompts with a popup in tzhze popup to ask, if it should start from the beginning, no matter if the answer is yes or no, it closes all popups extras / spelling 
The bug is not only present, when opening the file via explorer, it is always there.
As a hint where it could be caused: when I uninstalled the new version and returned to 4.1.1 The bug was still there! Is it a registry entry (?) or something else, which survived deinstallation /new installation without system restart?

In settings/ languages /linguistic (I use the German version, so apologize, if the backtranslated labels are not precise) the section 'options' is greyed out.

Manually making changes to various languages related setting  hoping through some codepath it would repair itself did not succeed.

regards,
Dietmar Hildebrand
Comment 21 Dietmar Hildebrand 2019-03-19 15:00:44 UTC
Dear developers,
the deinstallation not only leaves entries in the registry, it also leaves the complete AppData\Roaming\OpenOffice behind.
No wonder that it does not matter which release I try, the bug remains !
As I mentioned before I tried exercising different code pathes and had set my languiage to German(Austria) and was very surprised to find that after deinstallation/system restart/ installation still present. So I looked around for the stuff that was not cleaned up properly.
I deleted the AppData\Roaming\OpenOffice directories of all users,
but did not dare to manually delete all registry entries.
The I installed 4.1.1, which works just fine on my other Laptop.
BUT the bug is still there.
Now I need your HELP !!!
Any workaround or manual registry modification or whatever...

regards,
Dietmar Hildebrand
Comment 22 Matthias Seidel 2019-04-09 11:15:14 UTC
Please ignore comment 20 and 21, they are not related to this issue.

The user had problems with his OpenOffice profile.
Comment 23 Keith N. McKenna 2019-04-09 15:08:06 UTC
*** Issue 128084 has been marked as a duplicate of this issue. ***